{
  "WSPort": 54089,
  "WSSPort": "",
  "LocalAuthAPI": "",
  "LogProvider": "NLog",
  "OCPP20_WSUrl": "ws://ocpp.phihong.com.tw:5004",
  "OCPP20_WSSUrl": "ws://ocpp.phihong.com.tw:5004",
  "MaintainMode": 0,
  "Logging": {
    "LogLevel": {
      "Default": "Information",
      "Microsoft.AspNetCore": "Warning"
    }
  },
  "NLog": {
    "targets": {
      "async": true,
      "f": {
        "type": "File",
        "keepFileOpen":  false,
        "fileName": "/home/logs/server/${shortdate}.log",
        "layout": "${longdate} ${uppercase:${level}} ${message}"
      },
      "ws": {
        "type": "File",
        "keepFileOpen": false,
        "fileName": "/home/logs/server/WS_${shortdate}.log",
        "layout": "${longdate} ${uppercase:${level}} ${message}"
      },
      "Console": {
        "type": "Console",
        "layout": "${longdate} ${uppercase:${level}} ${message}"
      },
      "auth": {
        "type": "File",
        "keepFileOpen": false,
        "fileName": "/home/logs/server/Auth_${shortdate}.log",
        "layout": "${longdate} ${callsite} ${uppercase:${level}} ${message}"
      }
    },
    "rules": [
      {
        "ruleName": "HttpRecord",
        "logger": "HeaderRecord*",
        "minLevel": "Info",
        "writeTo": "ws"
      },
      {
        "ruleName": "WsRecord",
        "logger": "EVCB_OCPP.WSServer.Service.WsService*",
        "minLevel": "Info",
        "writeTo": "ws"
      },
      {
        "ruleName": "OuterBusinessService",
        "logger": "EVCB_OCPP.WSServer.Service.OuterBusinessService",
        "level": "Info",
        "writeTo": "auth"
      },
      {
        "ruleName": "FileLog",
        "logger": "EVCB_OCPP.*",
        "minLevel": "Debug",
        "writeTo": "f"
      },
      {
        "ruleName": "ConsoleLog",
        "logger": "EVCB_OCPP.*",
        "minlevel": "Trace",
        "writeTo": "console"
      },
      {
        "ruleName": "MsFileLog",
        "logger": "Microsoft.*",
        "minLevel": "Warn",
        "writeTo": "f"
      },
      {
        "ruleName": "MsConsoleLog",
        "logger": "Microsoft.*",
        "minlevel": "Warn",
        "writeTo": "console"
      },
      {
        "ruleName": "DbConsoleLog",
        "logger": "System.Data.Entity.*",
        "minlevel": "Info",
        "writeTo": "console"
      },
      {
        "ruleName": "DbFileLog",
        "logger": "System.Data.Entity.*",
        "minlevel": "Info",
        "writeTo": "f"
      }
    ]
  },
  "ConnectionStrings": {
    "ConnectionLogDBContext": "data source=zerova-ev-dev.database.windows.net;initial catalog=StandardOCPP_ConnectionLog;persist security info=True;user id=azdevsoftware;password=1h52dev#az;MultipleActiveResultSets=True;App=EntityFramework;TrustServerCertificate=true;Max Pool Size=200;Connection Lifetime=0;Pooling=true;",
    "MainDBContext": "data source=zerova-ev-dev.database.windows.net;initial catalog=StandardOCPP_Main;;persist security info=True;user id=azdevsoftware;password=1h52dev#az;MultipleActiveResultSets=True;App=EntityFramework;TrustServerCertificate=true;Max Pool Size=1024;Connection Lifetime=0;Pooling=true;Min Pool Size=150;",
    "MeterValueDBContext": "data source=zerova-ev-dev.database.windows.net;initial catalog=StandardOCPP_MeterValue;;persist security info=True;user id=azdevsoftware;password=1h52dev#az;MultipleActiveResultSets=True;App=EntityFramework;TrustServerCertificate=true;Max Pool Size=200;Connection Lifetime=0;Pooling=true;",
    "WebDBContext": "data source=zerova-ev-dev.database.windows.net;initial catalog=StandardOCPP_Web;;persist security info=True;user id=azdevsoftware;password=1h52dev#az;MultipleActiveResultSets=True;App=EntityFramework;TrustServerCertificate=true;Max Pool Size=200;Connection Lifetime=0;Pooling=true;"
  }
}